## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname jsonschema-specifications
%global modname jsonschema_specifications

Name:           python-%{srcname}
Version:        2023.7.1
Release:        %autorelease
Summary:        The JSON Schema meta-schemas and vocabularies exposed as a Registry

License:        MIT
URL:            https://github.com/python-jsonschema/%{srcname}
Source:         %{pypi_source %{modname}}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python-hatchling

# for tests
BuildRequires:  python3dist(pytest)


%global _description %{expand:
JSON support files from the JSON Schema Specifications (metaschemas, vocabularies,
etc.), packaged for runtime access from Python as a referencing-based
Schema Registry.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{modname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pyproject_check_import
%pytest %{modname}/tests


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst


%changelog
* Sat Aug 26 2023 John Doe <packager@example.com> - 2023.7.1-1
- Uncommitted changes
